classification
Title: Update refcounts info of PyType_FromModuleAndSpec in refcounts.dat
Type: Stage: resolved
Components: Documentation Versions: Python 3.10, Python 3.9
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: docs@python, miss-islington, petr.viktorin, shihai1991
Priority: normal Keywords: patch

Created on 2020-09-05 15:40 by shihai1991, last changed 2020-10-20 12:33 by shihai1991. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 22112 merged shihai1991, 2020-09-05 15:42
PR 22808 merged miss-islington, 2020-10-20 08:31
Messages (7)
msg376432 - (view) Author: hai shi (shihai1991) * Date: 2020-09-05 15:40
`PyType_FromModuleAndSpec` in docs doesn't show the info:`Return value: New reference.`
msg376625 - (view) Author: Petr Viktorin (petr.viktorin) * (Python committer) Date: 2020-09-09 09:48
New changeset 1e2f051a6127904cfee5f9e4021dd6e4a4d51c0f by Hai Shi in branch 'master':
bpo-41726: Update the refcounts info of PyType_FromModuleAndSpec in refcounts.dat (GH-22112)
https://github.com/python/cpython/commit/1e2f051a6127904cfee5f9e4021dd6e4a4d51c0f
msg377200 - (view) Author: hai shi (shihai1991) * Date: 2020-09-20 02:20
Hi, petr. Can you help me merge this PR to 3.9 too?
msg379103 - (view) Author: Petr Viktorin (petr.viktorin) * (Python committer) Date: 2020-10-20 08:31
Definitely. Sorry for the delay -- I missed the notification here.
msg379112 - (view) Author: hai shi (shihai1991) * Date: 2020-10-20 10:29
> Definitely. Sorry for the delay -- I missed the notification here.
No problem. This is not a block issue :)
msg379122 - (view) Author: Petr Viktorin (petr.viktorin) * (Python committer) Date: 2020-10-20 12:30
New changeset 38a17d0752781c70fd971f372ddc8d3caf5ded88 by Miss Skeleton (bot) in branch '3.9':
bpo-41726: Update the refcounts info of PyType_FromModuleAndSpec in refcounts.dat (GH-22112) (GH-22808)
https://github.com/python/cpython/commit/38a17d0752781c70fd971f372ddc8d3caf5ded88
msg379123 - (view) Author: hai shi (shihai1991) * Date: 2020-10-20 12:33
Thanks petr for your review and merge.
History
Date User Action Args
2020-10-20 12:33:28shihai1991setmessages: + msg379123
2020-10-20 12:30:27petr.viktorinsetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2020-10-20 12:30:09petr.viktorinsetmessages: + msg379122
2020-10-20 10:29:22shihai1991setmessages: + msg379112
2020-10-20 08:31:37petr.viktorinsetmessages: + msg379103
2020-10-20 08:31:02miss-islingtonsetnosy: + miss-islington
pull_requests: + pull_request21766
2020-09-20 02:20:29shihai1991setmessages: + msg377200
2020-09-09 09:48:55petr.viktorinsetmessages: + msg376625
2020-09-05 15:42:59shihai1991setkeywords: + patch
stage: patch review
pull_requests: + pull_request21196
2020-09-05 15:41:59shihai1991settitle: Update the refcounts.dat of `PyType_FromModuleAndSpec` -> Update refcounts info of PyType_FromModuleAndSpec in refcounts.dat
2020-09-05 15:40:32shihai1991create